View Issue Details

IDProjectCategoryView StatusLast Update
0000982OpenMPT[All Projects] Feature Requestpublic2017-07-25 21:05
ReporterFarticus MaximusAssigned ToSaga Musix 
PriorityhighSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version8
Product VersionOpenMPT 1.26.11.00 / libopenmpt 0.2-beta24 (upgrade first) 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000982: Not able to send ONLY notes through midi vst (unable to block sequence start data)
Description

I am trying to sequence data to an analog synthesizer, which only understands sequence data (when you press any of the sequencer functions), note data, and modulation. Can it be made where it can just send out ONLY note data and nothing else (no volume commands, no sequencer data, anything else). The reason I need this is because when the synthesizer receives the sequence start data from openmpt, it starts it's own sequencer, making it unable to play differently spaced notes, accents, and it skips notes and adds extra when there should be a rest. It works great from my midi keyboard, only because it is receiving note data and nothing else. Said keyboard also has a built in sequencer, and also works great when i got it to turn off the sequencer data and send out only notes, so it is not a gear issue. I VERY much love this software, and this would be and excellent step forward. It's just a little frustrating when recording stuff:(

Friggin' love y'all

Steps To Reproduce

Send out Midi data to a Mother 32

Additional Information

I have sent a tracker showing what data i send out, and how it gets played back (a recording is too big lol)

Anyway, could make it an option in the MIDI OUT/IN VST

Thanks a lot! :)

TagsNo tags attached.
Has the bug occurred in previous versions?Yes
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-06-25 18:36

administrator   ~0003090

no volume commands

Velocity next to notes is always sent with MIDI notes, this cannot be ignored (and as such your synthesizer should not have a problem with it). Other volume commands are subject to your instrument settings, if you set plugin volume handling to "None", no MIDI CC for channel volume is sent.

no sequencer data

I agree that that MIDI ticks and Start/Stop/Continue should be optional. This will be added soon.

anything else

That is subject to your pattern data and as such I do not think it is OpenMPT's job to take care of it. If you do not want to e.g. send pitch bend messages, you should remove them from your patterns.

Saga Musix

Saga Musix

2017-06-25 21:08

administrator   ~0003092

r8362 adds a new checkbox to the MIDI I/O plugin which disables the following automatically generated messages:

  • Start (FA)
  • Stop (FC)
  • Clock Tick (F8)

You can download it from https://builds.openmpt.org/builds/ very soon.

Saga Musix

Saga Musix

2017-07-03 14:55

administrator   ~0003094

Please state if the recent test versions address the issue sufficiently.

Issue History

Date Modified Username Field Change
2017-06-25 16:51 Farticus Maximus New Issue
2017-06-25 18:36 Saga Musix Note Added: 0003090
2017-06-25 21:08 Saga Musix Note Added: 0003092
2017-06-25 21:08 Saga Musix Assigned To => Saga Musix
2017-06-25 21:08 Saga Musix Status new => feedback
2017-06-25 21:08 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-07-03 14:55 Saga Musix Note Added: 0003094
2017-07-25 21:05 Saga Musix Status feedback => resolved
2017-07-25 21:05 Saga Musix Resolution open => fixed
2017-07-25 21:05 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)